from classlib.track import *

class Curve_circular(Track):

    def make_track(self):
        """
        This function sets essential parameters for the specific track
        element. It needs to be called once during initialization.
        """
        self.info= 'Curve element with the shape of a circle segment '+\
                   'with 50m radius and 90 degree by default. \n'+\
                   'The output node can be dragged in order to change '+\
                   'the curve radius.'
        
        
        curve={'shape': ( 'curve', {'offset':(0,0,0),
                                    'radius':50,
                                    'turn'  :'right'
                                    }),
               'topo' : (1,2)
               }
        
        self.element=[curve]
        self.nodes_connect={1:'in', 2:'out'}

